Package org.gradle.api.plugins.quality

# Class CheckstylePlugin

java.lang.Object
org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<Checkstyle>
org.gradle.api.plugins.quality.CheckstylePlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

public abstract class CheckstylePlugin extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<Checkstyle>
Checkstyle Plugin.

See Also:
  - Checkstyle plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_CHECKSTYLE_VERSION`

  ### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

  `project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckstylePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configureConfiguration(Configuration configuration)`
  `protected void`
  `configureForSourceSet(SourceSet sourceSet, Checkstyle task)`
  `protected void`
  `configureTaskDefaults(Checkstyle task, String baseName)`
  `protected CodeQualityExtension`
  `createExtension()`
  `protected Class<Checkstyle>`
  `getTaskType()`
  `protected abstract JavaToolchainService`
  `getToolchainService()`
  `protected String`
  `getToolName()`

  ### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

  `apply, beforeApply, conventionMappingOf, createConfigurations, getBasePlugin, getConfigurationName, getJavaPluginExtension, getJvmPluginServices, getReportName, getRootProjectDirectory, getTaskBaseName, withBasePlugin`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_CHECKSTYLE_VERSION

    public static final String DEFAULT_CHECKSTYLE_VERSION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CheckstylePlugin

    public CheckstylePlugin()

- ## Method Details

  - ### getToolName

    protected String getToolName()
    Specified by:
      `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<Checkstyle>`

  - ### getTaskType

    protected Class<Checkstyle> getTaskType()
    Specified by:
      `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<Checkstyle>`

  - ### getToolchainService

    @Inject protected abstract JavaToolchainService getToolchainService()

  - ### createExtension

    protected CodeQualityExtension createExtension()
    Specified by:
      `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<Checkstyle>`

  - ### configureConfiguration

    protected void configureConfiguration(Configuration configuration)
    Specified by:
      `configureConfiguration` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<Checkstyle>`

  - ### configureTaskDefaults

    protected void configureTaskDefaults(Checkstyle task, String baseName)
    Overrides:
      `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<Checkstyle>`

  - ### configureForSourceSet

    protected void configureForSourceSet(SourceSet sourceSet, Checkstyle task)
    Overrides:
      `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<Checkstyle>`